package body MSHTML.IHTMLCurrentStyle4_Object is

   function Get_msInterpolationMode
     (This : IHTMLCurrentStyle4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle4_Get_msInterpolationMode);
   end Get_msInterpolationMode;

   function Get_maxHeight
     (This : IHTMLCurrentStyle4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle4_Get_maxHeight);
   end Get_maxHeight;

   function Get_minWidth
     (This : IHTMLCurrentStyle4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle4_Get_minWidth);
   end Get_minWidth;

   function Get_maxWidth
     (This : IHTMLCurrentStyle4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle4_Get_maxWidth);
   end Get_maxWidth;

end MSHTML.IHTMLCurrentStyle4_Object;

